use strict;

package Schulkonsole::Error::Files;
require Exporter;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);
$VERSION = 0.16;
@ISA = qw(Exporter);
@EXPORT_OK = qw(
	OK
	WRAPPER_ERROR_BASE
	WRAPPER_GENERAL_ERROR
	WRAPPER_PROGRAM_ERROR
	WRAPPER_UNAUTHORIZED_UID
	WRAPPER_CANNOT_FORK
	WRAPPER_SCRIPT_EXEC_FAILED
	WRAPPER_UNAUTHENTICATED_ID
	WRAPPER_APP_ID_DOES_NOT_EXIST
	WRAPPER_UNAUTHORIZED_ID
	WRAPPER_INVALID_FILENUMBER
	WRAPPER_CANNOT_OPEN_FILE
);

# package constants
use constant {
	OK => 0,

	WRAPPER_ERROR_BASE => 11000,
	WRAPPER_GENERAL_ERROR => 11000 -1,
	WRAPPER_PROGRAM_ERROR => 11000 -2,
	WRAPPER_UNAUTHORIZED_UID => 11000 -3,
	WRAPPER_SCRIPT_EXEC_FAILED => 11000 -6,
	WRAPPER_INVALID_SESSION_ID => 11000 -10,
	WRAPPER_UNAUTHENTICATED_ID => 11000 -32,
	WRAPPER_APP_ID_DOES_NOT_EXIST => 11000 -33,
	WRAPPER_UNAUTHORIZED_ID => 11000 -34,
	WRAPPER_CANNOT_FORK => 11000 -44,
	WRAPPER_INVALID_FILENUMBER => 11000 -105,
	WRAPPER_CANNOT_OPEN_FILE => 11000 -106,
};



1;
