use strict;

package Schulkonsole::Error::Firewall;
require Exporter;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);
$VERSION = 0.16;
@ISA = qw(Exporter);
@EXPORT_OK = qw(
	OK
	WRAPPER_ERROR_BASE
	WRAPPER_GENERAL_ERROR
	WRAPPER_UNAUTHORIZED_UID
	WRAPPER_SCRIPT_EXEC_FAILED
	WRAPPER_UNAUTHENTICATED_ID
	WRAPPER_APP_ID_DOES_NOT_EXIST
	WRAPPER_UNAUTHORIZED_ID
	WRAPPER_INVALID_MAC
	WRAPPER_NO_MACS
	WRAPPER_INVALID_HOST
	WRAPPER_NO_HOSTS
	WRAPPER_INVALID_ROOM
	WRAPPER_INVALID_LESSONMODE
	WRAPPER_INVALID_LESSONTIME
	WRAPPER_CANNOT_WRITE_ROOMFILE
	WRAPPER_CANNOT_READ_ROOMFILE
	WRAPPER_CANNOT_FORK
);

# package constants
use constant {
	OK => 0,

	WRAPPER_ERROR_BASE => 6000,
	WRAPPER_GENERAL_ERROR => 6000 -1,
	WRAPPER_PROGRAM_ERROR => 6000 -2,
	WRAPPER_UNAUTHORIZED_UID => 6000 -3,
	WRAPPER_SCRIPT_EXEC_FAILED => 6000 -6,
	WRAPPER_UNAUTHENTICATED_ID => 6000 -32,
	WRAPPER_APP_ID_DOES_NOT_EXIST => 6000 -33,
	WRAPPER_UNAUTHORIZED_ID => 6000 -34,
	WRAPPER_INVALID_MAC => 6000 -35,
	WRAPPER_NO_MACS => 6000 -36,
	WRAPPER_INVALID_HOST => 6000 -37,
	WRAPPER_NO_HOSTS => 6000 -38,
	WRAPPER_INVALID_ROOM => 6000 -39,
	WRAPPER_INVALID_LESSONMODE => 6000 -40,
	WRAPPER_INVALID_LESSONTIME => 6000 -41,
	WRAPPER_CANNOT_WRITE_ROOMFILE => 6000 -42,
	WRAPPER_CANNOT_READ_ROOMFILE => 6000 -43,
	WRAPPER_CANNOT_FORK => 6000 -44,
	WRAPPER_INVALID_ROOM_SCOPE => 6000 -45,
	WRAPPER_CANNOT_OPEN_PRINTERSCONF => 6000 - 64,
};



1;
