use strict;

package Schulkonsole::Error::Printer;
require Exporter;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);
$VERSION = 0.16;
@ISA = qw(Exporter);
@EXPORT_OK = qw(
	OK
	WRAPPER_ERROR_BASE
	WRAPPER_GENERAL_ERROR
	WRAPPER_PROGRAM_ERROR
	WRAPPER_UNAUTHORIZED_UID
	WRAPPER_SCRIPT_EXEC_FAILED
	WRAPPER_UNAUTHENTICATED_ID
	WRAPPER_APP_ID_DOES_NOT_EXIST
	WRAPPER_UNAUTHORIZED_ID
	WRAPPER_CANNOT_OPEN_PRINTERSCONF
	WRAPPER_INVALID_PRINTER_NAME
	WRAPPER_NO_PRINTERS
	WRAPPER_INVALID_USER
	WRAPPER_INVALID_PAGES
	WRAPPER_INVALID_MAX_PAGES
	WRAPPER_UNEXPECTED_DATA
);

# package constants
use constant {
	OK => 0,

	WRAPPER_ERROR_BASE => 7000,
	WRAPPER_GENERAL_ERROR => 7000 -1,
	WRAPPER_PROGRAM_ERROR => 7000 -2,
	WRAPPER_UNAUTHORIZED_UID => 7000 -3,
	WRAPPER_SCRIPT_EXEC_FAILED => 7000 -6,
	WRAPPER_UNAUTHENTICATED_ID => 7000 -32,
	WRAPPER_APP_ID_DOES_NOT_EXIST => 7000 -33,
	WRAPPER_UNAUTHORIZED_ID => 7000 -34,
	WRAPPER_CANNOT_OPEN_PRINTERSCONF => 7000 -64,
	WRAPPER_INVALID_PRINTER_NAME => 7000 -65,
	WRAPPER_NO_PRINTERS => 7000 -66,
	WRAPPER_INVALID_USER => 7000 -67,
	WRAPPER_NO_USERS => 7000 -68,
	WRAPPER_INVALID_PAGES => 7000 -69,
	WRAPPER_INVALID_MAX_PAGES => 7000 -70,
	WRAPPER_UNEXPECTED_DATA => 7000 -71,
};



1;
