use strict;

package Schulkonsole::Error::Sophomorix;
require Exporter;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);
$VERSION = 0.16;
@ISA = qw(Exporter);
@EXPORT_OK = qw(
	OK
	WRAPPER_ERROR_BASE
	WRAPPER_GENERAL_ERROR
	WRAPPER_PROGRAM_ERROR
	WRAPPER_UNAUTHORIZED_UID
	WRAPPER_CANNOT_FORK
	WRAPPER_SCRIPT_EXEC_FAILED
	WRAPPER_UNAUTHENTICATED_ID
	WRAPPER_APP_ID_DOES_NOT_EXIST
	WRAPPER_UNAUTHORIZED_ID
	WRAPPER_ON_UNDEFINED
	WRAPPER_INVALID_USER
	WRAPPER_NO_USERS
	WRAPPER_INVALID_USERID
	WRAPPER_NO_USERIDS
	WRAPPER_NO_SUCH_DIRECTORY
	WRAPPER_INVALID_DO_COPY
	WRAPPER_INVALID_FROM
	WRAPPER_INVALID_TYPE
	WRAPPER_INVALID_ROOM
	WRAPPER_INVALID_PROJECT
	WRAPPER_INVALID_CLASS
	WRAPPER_INVALID_SUBCLASS
	WRAPPER_INVALID_DO_ADD
	WRAPPER_INVALID_SET_PASSWORD_TYPE
	WRAPPER_INVALID_PASSWORD
	WRAPPER_INVALID_IS_GROUPS
	WRAPPER_INVALID_IS_PUBLIC
	WRAPPER_INVALID_IS_UPLOAD
	WRAPPER_INVALID_PROJECTGID
	WRAPPER_INVALID_MEMBERSCOPE
	WRAPPER_INVALID_DO_CREATE
	WRAPPER_INVALID_LONGNAME
	WRAPPER_INVALID_FILENUMBER
	WRAPPER_CANNOT_OPEN_FILE
	WRAPPER_PROCESS_RUNNING
	WRAPPER_INVALID_MODE
	WRAPPER_CHMOD_FAILED
	WRAPPER_INVALID_FLAGS
	WRAPPER_INVALID_DISKQUOTA
	WRAPPER_INVALID_MAILQUOTA
);

# package constants
use constant {
	OK => 0,

	WRAPPER_ERROR_BASE => 8000,
	WRAPPER_GENERAL_ERROR => 8000 -1,
	WRAPPER_PROGRAM_ERROR => 8000 -2,
	WRAPPER_UNAUTHORIZED_UID => 8000 -3,
	WRAPPER_SCRIPT_EXEC_FAILED => 8000 -6,
	WRAPPER_UNAUTHENTICATED_ID => 8000 -32,
	WRAPPER_APP_ID_DOES_NOT_EXIST => 8000 -33,
	WRAPPER_UNAUTHORIZED_ID => 8000 -34,
	WRAPPER_CANNOT_FORK => 8000 -44,
	WRAPPER_ON_UNDEFINED => 8000 -80,
	WRAPPER_INVALID_USER => 8000 -81,
	WRAPPER_NO_USERS => 8000 -82,
	WRAPPER_INVALID_USERID => 8000 -83,
	WRAPPER_NO_USERIDS => 8000 -84,
	WRAPPER_NO_SUCH_DIRECTORY => 8000 -85,
	WRAPPER_INVALID_DO_COPY => 8000 -86,
	WRAPPER_INVALID_FROM => 8000 -87,
	WRAPPER_INVALID_TYPE => 8000 -88,
	WRAPPER_INVALID_ROOM => 8000 -89,
	WRAPPER_INVALID_PROJECT => 8000 -90,
	WRAPPER_INVALID_CLASS => 8000 -91,
	WRAPPER_INVALID_SUBCLASS => 8000 -92,
	WRAPPER_INVALID_IS_EXAM => 8000 -93,
	WRAPPER_INVALID_DO_ADD => 8000 -94,
	WRAPPER_INVALID_FILE_TYPE => 8000 -95,
	WRAPPER_INVALID_SET_PASSWORD_TYPE => 8000 -96,
	WRAPPER_INVALID_PASSWORD => 8000 -97,
	WRAPPER_INVALID_IS_GROUPS => 8000 -98,
	WRAPPER_INVALID_IS_PUBLIC => 8000 -99,
	WRAPPER_INVALID_IS_UPLOAD => 8000 -100,
	WRAPPER_INVALID_PROJECTGID => 8000 -101,
	WRAPPER_INVALID_MEMBERSCOPE => 8000 -102,
	WRAPPER_INVALID_DO_CREATE => 8000 -103,
	WRAPPER_INVALID_LONGNAME => 8000 -104,
	WRAPPER_INVALID_FILENUMBER => 8000 -105,
	WRAPPER_CANNOT_OPEN_FILE => 8000 -106,
	WRAPPER_PROCESS_RUNNING => 8000 -107,
	WRAPPER_INVALID_MODE => 8000 -108,
	WRAPPER_CHMOD_FAILED => 8000 -109,
	WRAPPER_INVALID_FLAGS => 8000 -110,
	WRAPPER_INVALID_DISKQUOTA => 8000 -111,
	WRAPPER_INVALID_MAILQUOTA => 8000 -112,
	WRAPPER_INVALID_IS_JOIN => 8000 -113,
};



1;
